SoListenerGainElement(3)

NAME
SoListenerGainElement - The SoListenerGainElement class stores the SoListener gain during a scene graph traversal.

SYNOPSIS

#include <Inventor/elements/SoListenerGainElement.h>

Inherits SoFloatElement.

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const float gain)
static void set (SoState *const state, const float gain)
static float get (SoState *const state)

  Protected Member Functions
virtual ~SoListenerGainElement ()

  Additional Inherited Members

Detailed Description

The SoListenerGainElement class stores the SoListener gain during a scene graph traversal. This gain is set by SoListener nodes during audio rendering. The SoListenerGainElement is used when the SoVRMLSound nodes render themselves.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
    Coin 2.0

Constructor & Destructor Documentation

  SoListenerGainElement::~SoListenerGainElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoListenerGainElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoListenerGainElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoListenerGainElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoListenerGainElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoListenerGainElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is 1.0.

Reimplemented from SoFloatElement.

  void SoListenerGainElement::set (SoState *const state, SoNode *const node, const float gain) [static]
Sets the value of this element.

  void SoListenerGainElement::set (SoState *const state, const float gain) [static]
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

  float SoListenerGainElement::get (SoState *const state) [static]
Returns the element value.

Author

Generated automatically by Doxygen for Coin from the source code.